Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class VerboseConfig

    java.lang.Object
      com.sleepycat.db.VerboseConfig

    public final class VerboseConfig

extends Object

Specifies the attributes of a verification operation.

Field Summary
`static VerboseConfig` | `DEADLOCK` Display additional information when doing deadlock detection.
`static VerboseConfig` | `FILEOPS` Display additional information when performing filesystem operations such as open, close or rename.
`static VerboseConfig` | `FILEOPS_ALL` Display additional information when performing all filesystem operations, including read and write.
`static VerboseConfig` | `RECOVERY` Display additional information when performing recovery.
`static VerboseConfig` | `REGISTER` Display additional information concerning support for `EnvironmentConfig.setRegister(boolean)`.
`static VerboseConfig` | `REPLICATION` Display detailed information when processing replication messages.
`static VerboseConfig` | `WAITSFOR` Display the waits-for table when doing deadlock detection.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEADLOCK

    public static final VerboseConfig DEADLOCK

  Display additional information when doing deadlock detection.

### FILEOPS

    public static final VerboseConfig FILEOPS

  Display additional information when performing filesystem operations such as open, close or rename. May not be available on all platforms.

### FILEOPS_ALL

    public static final VerboseConfig FILEOPS_ALL

  Display additional information when performing all filesystem operations, including read and write. May not be available on all platforms.

### RECOVERY

    public static final VerboseConfig RECOVERY

  Display additional information when performing recovery.

### REGISTER

    public static final VerboseConfig REGISTER

  Display additional information concerning support for `EnvironmentConfig.setRegister(boolean)`.

### REPLICATION

    public static final VerboseConfig REPLICATION

  Display detailed information when processing replication messages.

### WAITSFOR

    public static final VerboseConfig WAITSFOR

  Display the waits-for table when doing deadlock detection.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2007 Oracle. All rights reserved.